package cokr.xit.fims.stat;

public class NumberValueInfo {

	/**
	 * 구분자 기준 컬럼
	 */
	private String seperatorRefCol;

	/**
	 * 조건 값
	 */
	private String conditionValue;

	/**
	 * 구분자 분류 유형
	 */
	private String seperatorCtgrType;

	/**
	 * 구분자 상세분류
	 */
	private String seperatorDtlCtgr;

	/**
	 * 수치값 집계 유형(count 건수, sum 합계, ratio 비율)
	 */
	private String aggregateType;

	/**
	 * 합계 기준 컬럼
	 */
	private String sumRefCol;

	/**
	 * 비율 전체 참조 인덱스
	 */
	private int ratioRefIndex;


	public String getSeperatorRefCol(){
		return this.seperatorRefCol;
	}

	public void setSeperatorRefCol(String seperatorRefCol){
		this.seperatorRefCol = seperatorRefCol;
	}

	public String getConditionValue(){
		return this.conditionValue;
	}

	public void setConditionValue(String conditionValue){
		this.conditionValue = conditionValue;
	}

	public String getSeperatorCtgrType(){
		return this.seperatorCtgrType;
	}

	public void setSeperatorCtgrType(String seperatorCtgrType){
		this.seperatorCtgrType = seperatorCtgrType;
	}

	public String getSeperatorDtlCtgr(){
		return this.seperatorDtlCtgr;
	}

	public void setSeperatorDtlCtgr(String seperatorDtlCtgr){
		this.seperatorDtlCtgr = seperatorDtlCtgr;
	}

	public String getAggregateType(){
		return this.aggregateType;
	}

	public void setAggregateType(String aggregateType){
		this.aggregateType = aggregateType;
	}

	public String getSumRefCol(){
		return this.sumRefCol;
	}

	public void setSumRefCol(String sumRefCol){
		this.sumRefCol = sumRefCol;
	}

	public int getRatioRefIndex(){
		return this.ratioRefIndex;
	}

	public void setRatioRefIndex(int ratioRefIndex){
		this.ratioRefIndex = ratioRefIndex;
	}
}
